'use strict';
module.exports = ActErr;
global.ActErr = ActErr;
ActErr.ParamNotFound = 1000;
ActErr.BodyNotFound = 1001;
ActErr.CallerAccountNotFound = 1002;
ActErr.DataNotFound = 1003;
ActErr.OperationFailed = 1004;
ActErr.ApiServerError = 1005;
ActErr.InvalidParam = 1104;
ActErr.DBOperationFailed = 2000;
ActErr.DBEntityNotFound = 2100;
ActErr.ObjectAlreadyExists = 2101;
ActErr.Unauthorized = 3000;
ActErr.AnotherAccountExistsForIdentity = 3001;
ActErr.NoValidOwner = 3300;
ActErr.NoValidToken = 3301;
ActErr.NoValidTokenForDelete = 3302;
ActErr.ShippableYaml = 5000;
ActErr.NoShippableYaml = 5001;
ActErr.ShippableYamlAlreadyExists = 5002;
ActErr.ShippableYamlMerge = 5003;
ActErr.NotInitialized = 6000;
ActErr.WebhookNotSupported = 7000;
ActErr.EmptyRepository = 7001;
ActErr.BuildError = 7002;
ActErr.CantDeleteProjectRunningBuilds = 7003;
ActErr.CantDeleteRunningBuild = 7004;
ActErr.WebhookForExcludedBranch = 7005;
ActErr.BuildAlreadyExists = 7007;
ActErr.EmptyBuildMatrix = 7008;
ActErr.ProviderAuthorizationFailed = 8000;
ActErr.ProviderTokenInvalid = 8001;
ActErr.ProviderUnavailable = 8002;
ActErr.ProviderRateLimit = 8003;
ActErr.CantAddWebhook = 8010;
ActErr.MaxHosts = 9001;
ActErr.CantCreateNodes = 9002;
ActErr.MaxPrivateProjects = 9003;
ActErr.NoCustomImages = 9004;
ActErr.NoInitializedHost = 9004;
ActErr.CantCreateMachineToken = 9005;
ActErr.InternalServer = 9999;
ActErr.CantDeletePlan = 10001;
ActErr.UnavailableBitbucketSubscriptionGroups = 10500;
ActErr.UnavailableBitbucketProjectGroupPrivileges = 11000;
ActErr.JenkinsUnsupportedProjectType = 12000;
ActErr.JenkinsUnsupportedSCM = 12001;
ActErr.JenkinsBadCredentials = 12002;
ActErr.NamespaceInUse = 13000;
ActErr.NamespaceAlreadyExists = 13001;
ActErr.DeployServiceNotFound = 14001;
ActErr.DeployServiceStatusError = 14002;
function ActErr(methodName, id, message, error) {
    this.id = id || ActErr.InternalServer;
    this.message = message;
    this.methodName = methodName;
    if (error) {
        this.link = error;
    }
}
//# sourceMappingURL=ActErr.js.map