'use strict';
var self = amqpMonitor;
module.exports = self;
var amqplib = require('amqplib/callback_api');
var rabbitMQ = {};
function amqpMonitor(bag, callback) {
    logger.info(process.title +
        ' AMQP Health Check: is checking for RabbitMQ connection');
    var connectionUrl = config.amqpUrl + '?heartbeat=30';
    var callbackCalled = false;
    var options = {
        rejectUnauthorized: false
    };
    amqplib.connect(connectionUrl, options, function (err, connection) {
        if (callbackCalled)
            return;
        callbackCalled = true;
        if (err)
            return callback(err);
        rabbitMQ.connection = connection;
        rabbitMQ.connection.on('error', function (err) {
            if (!this.closing) {
                logger.error(process.title + ' AMQP Health Check: failed with err ', err);
                return callback(err);
            }
        }.bind(rabbitMQ.connection));
        rabbitMQ.connection.on('close', function () {
            logger.trace('AMPQ connection closed');
        });
        return disconnect(callback);
    }.bind(this));
}
function disconnect(callback) {
    try {
        rabbitMQ.connection.closing = true;
        rabbitMQ.connection.close();
    }
    catch (ex) {
        logger.error('AMQP Health Check: Error closing RabbitMQ connection', ex);
        return callback(ex);
    }
    rabbitMQ.connection = null;
    logger.info(process.title + ' AMQP Health Check: ' +
        'sucessfully disconnected from RabbitMQ');
    logger.info(process.title + ' AMQP health check succeeded');
    return callback();
}
//# sourceMappingURL=amqpMonitor.js.map