'use strict';
var self = apiMonitor;
module.exports = self;
var PipelinesAdapter = require('../../common/PipelinesAdapter.js');
function apiMonitor(bag, callback) {
    logger.info(process.title + ' is checking Pipelines API health');
    var adapter = new PipelinesAdapter('');
    adapter.get('', function (err, res) {
        if (err || !res) {
            logger.error(process.title + ' Pipelines API health check failed');
            return callback(new ActErr(self.name, ActErr.IntenalServer, 'Pipelines API error', err));
        }
        if (res && res.status !== 'OK') {
            logger.error(process.title + ' Pipelines API health check failed');
            return callback(new ActErr(self.name, ActErr.IntenalServer, 'Pipelines API returned bad response', res));
        }
        logger.info(process.title + ' Pipelines API health check succeeded');
        return callback();
    });
}
//# sourceMappingURL=apiMonitor.js.map