'use strict';
var async = require('async');
var self = healthCheck;
module.exports = self;
var amqpMonitor = require('./amqpMonitor.js');
var redisMonitor = require('./redisMonitor.js');
var apiMonitor = require('./apiMonitor.js');
function healthCheck(done) {
    logger.info(process.title + ' is checking system health');
    var bag = {
        errors: [],
        done: done,
        who: 'system|monitors'
    };
    async.series([
        amqpMonitor.bind(null, bag),
        redisMonitor.bind(null, bag),
        apiMonitor.bind(null, bag)
    ], function (err) {
        if (err)
            return done(err);
        logger.info(process.title + ' system healthCheck succeeded');
        done();
    });
}
//# sourceMappingURL=healthCheck.js.map