'use strict';
var util = require('util');
var async = require('async');
var _ = require('underscore');
var self = signalListener;
module.exports = self;
function signalListener(message, callback) {
    var bag = {
        message: message
    };
    bag.who = 'www|workers|signalListener';
    logger.trace(bag.who, 'Starting');
    async.series([
        signalEmit.bind(null, bag)
    ], function (err) {
        if (err)
            logger.error('signalListener error:', err);
        logger.trace(bag.who, 'Completed');
        return callback();
    });
}
function signalEmit(bag, next) {
    var who = bag.who + '|' + signalEmit.name;
    logger.debug(who, 'Inside');
    if (!bag.message.eventType) {
        logger.warn(who, util.format('eventType not present in signal: %j', bag.message));
        return next();
    }
    _.each(bag.message.rooms, function (room) {
        var message = {
            room: room,
            payload: bag.message.payload
        };
        io.sockets.in(room).emit(bag.message.eventType, message);
    });
    return next();
}
//# sourceMappingURL=signalsListener.js.map